OpenSSLImplementation (Apache Tomcat 8.5.83 API Documentation)

Package org.apache.tomcat.util.net.openssl

## Class OpenSSLImplementation

- java.lang.Object
- - org.apache.tomcat.util.net.SSLImplementation
  - - org.apache.tomcat.util.net.openssl.OpenSSLImplementation

-     public class OpenSSLImplementation
      extends SSLImplementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OpenSSLImplementation()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SSLSupport` | `getSSLSupport​(javax.net.ssl.SSLSession session)` | Deprecated.
    `SSLSupport` | `getSSLSupport​(javax.net.ssl.SSLSession session, java.util.Map<java.lang.String,​java.util.List<java.lang.String>> additionalAttributes)` | Obtain an instance of SSLSupport.
    `SSLUtil` | `getSSLUtil​(SSLHostConfigCertificate certificate)` |
    `boolean` | `isAlpnSupported()` |

    - ### Methods inherited from class org.apache.tomcat.util.net.SSLImplementation

      `getInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenSSLImplementation

          public OpenSSLImplementation()

  - ### Method Detail

    - #### getSSLSupport

          @Deprecated
          public SSLSupport getSSLSupport​(javax.net.ssl.SSLSession session)

      Deprecated.
      Description copied from class: `SSLImplementation`
      Obtain an instance of SSLSupport.
      Specified by:
        `getSSLSupport` in class `SSLImplementation`
      Parameters:
        `session` - The TLS session
      Returns:
        An instance of SSLSupport based on the given session.

    - #### getSSLSupport

          public SSLSupport getSSLSupport​(javax.net.ssl.SSLSession session,
                                          java.util.Map<java.lang.String,​java.util.List<java.lang.String>> additionalAttributes)

      Description copied from class: `SSLImplementation`
      Obtain an instance of SSLSupport.
      Overrides:
        `getSSLSupport` in class `SSLImplementation`
      Parameters:
        `session` - The SSL session
        `additionalAttributes` - Additional SSL attributes that are not available from the session.
      Returns:
        An instance of SSLSupport based on the given session and the provided additional attributes

    - #### getSSLUtil

          public SSLUtil getSSLUtil​(SSLHostConfigCertificate certificate)

      Specified by:
        `getSSLUtil` in class `SSLImplementation`

    - #### isAlpnSupported

          public boolean isAlpnSupported()

      Specified by:
        `isAlpnSupported` in class `SSLImplementation`